L'API Bot ti consente di creare, gestire e monitorare i tuoi bot Telegram. Puoi aggiungere nuovi bot, aggiornare le loro impostazioni e rimuoverli dalla tua organizzazione.
Endpoints
GET
/api/botsElenca tutti i bot nella tua organizzazione
pagelimitstatus
POST
/api/botsCrea un nuovo bot con un token Telegram
tokennamedescription
GET
/api/bots/:idOttieni i dettagli di un bot specifico
id
PATCH
/api/bots/:idAggiorna le impostazioni del bot
namedescriptionstatus
DELETE
/api/bots/:idRimuovi un bot dalla tua organizzazione
id
Example Request
# Create a new bot
curl -X POST https://api.botlaunch.io/api/bots \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"token": "123456:ABC-DEF", "name": "My Bot"}'
Example Response
{
"data": {
"id": "bot_abc123",
"name": "My Bot",
"username": "@MyAwesomeBot",
"status": "active",
"createdAt": "2024-01-15T10:30:00Z"
}
}